# Record Class CAStockRepositSerialMove

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAStockRepositSerialMove

Record Components:
  `instance` - The existing stock instance
  `toLocation` - The target storage location

All Implemented Interfaces:
  `CAStockRepositType`

public record CAStockRepositSerialMove(CAStockInstanceID instance, CALocationID toLocation) extends Record implements CAStockRepositType
An operation that moves stock from one storage location to another.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAStockRepositSerialMove(CAStockInstanceID instance, CALocationID toLocation)`
  An operation that moves stock from one storage location to another.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAStockInstanceID`
  `instance()`
  Returns the value of the `instance` record component.
  `CALocationID`
  `toLocation()`
  Returns the value of the `toLocation` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAStockRepositSerialMove

    public CAStockRepositSerialMove(CAStockInstanceID instance, CALocationID toLocation)
    An operation that moves stock from one storage location to another.
    Parameters:
      `instance` - The existing stock instance
      `toLocation` - The target storage location

- ## Method Details

  - ### instance

    public CAStockInstanceID instance()
    Returns the value of the `instance` record component.
    Specified by:
      `instance` in interface `CAStockRepositType`
    Returns:
      the value of the `instance` record component

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### toLocation

    public CALocationID toLocation()
    Returns the value of the `toLocation` record component.
    Returns:
      the value of the `toLocation` record component